{% extends "@admin/base.html.twig" %}

{% import "@admin/macros.html.twig" as macro %}

{% block body %}
    {{ macro.breadcrumb() }}

    <table class="table table-striped table-sm table-hover">
        <thead class="thead-dark">
        <tr>
            <th>
                <a href="{{ path('admin_pieces_add') }}" class="btn-sm btn-primary">
                    <i class="fas fa-plus"></i>
                </a>
            </th>
            <th>Série</th>
            <th>Nom</th>
            <th>Réf.</th>
            <th>Année</th>
            <th>Attributes</th>
            <th>Collec</th>
            <th>Double</th>
            <th>Echange</th>
            <th>Recherché ?</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        {% for item in items %}
            <tr>
                <td>
                    <a href="{{ path('admin_pieces_edit', {id: item.id}) }}" class="btn-sm btn-primary">
                        <i class="fas fa-pen"></i>
                    </a>
                </td>
                <td>
                    {% if item.serie %}
                        {{ macro.image(item.serie.image) }}
                        <a href="{{ path('admin_series_view', {id: item.serie.id}) }}">{{ item.serie }}</a>
                    {% endif %}
                </td>
                <td>{{ macro.image(item.image) }} {{ item.name }}</td>
                <td>{{ item.reference }}</td>
                <td>{{ item.year ?: '' }}</td>
                <td>{{ macro.attributes(item) }}</td>
                <td>{{ item.quantityOwned ?: ''}}</td>
                <td>{{ item.quantityDouble ?: '' }}</td>
                <td>{{ item.quantityEchange ?: '' }}</td>
                <td>
                    {% if item.lookingFor %}
                        <i class="fas fa-check"></i>
                    {% endif %}
                </td>
                <td>
                    <span type="button" data-href="{{ path('admin_pieces_delete', {id: item.id}) }}" class="action-delete btn-sm btn-danger">
                        <i class="fas fa-times"></i>
                    </span>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <div class="text-right">
        {{ macro.pagination('pièces') }}
    </div>
{% endblock %}